Get suggestions for an auto-discovery invocation
GET/v1/ai/entities-auto-discovery/:invocation_id/suggestions
This route allows you to get suggestions for an auto-discovery invocation.
To learn more about the auto-discovery feature, see the documentation.
Request
Parameters (JSON)
{
"parameters": [
{
"schema": {
"type": "string",
"pattern": "^[0-9a-f]{24}$"
},
"in": "path",
"name": "invocation_id",
"required": true,
"description": "The ID of the auto-discovery invocation returned by the create auto-discovery invocation endpoint."
}
]
}Request body schema (JSON)
{
"title": "Body"
}Responses
- 200
- 404
- 500
Default Response
Default Response
Default Response
Responses (JSON)
{
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"status": {
"type": "string",
"enum": [
"in_progress",
"pending_review",
"completed",
"failed"
],
"description": "The status of the auto-discovery invocation."
},
"durationSeconds": {
"description": "The duration of the auto-discovery invocation in seconds.",
"type": "number"
},
"generatedCount": {
"description": "The number of entities generated by the auto-discovery invocation.",
"type": "number"
},
"errorMessage": {
"type": "string"
},
"upstreamBlueprintCounts": {
"type": "object",
"additionalProperties": {
"type": "number"
}
},
"downstreamBlueprintCounts": {
"type": "object",
"additionalProperties": {
"type": "number"
}
},
"enrichSuggestions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"identifier": {
"type": "string"
},
"title": {
"type": "string"
},
"icon": {
"type": "string"
},
"properties": {
"type": "object",
"additionalProperties": {}
},
"relations": {
"type": "object",
"additionalProperties": {
"anyOf": [
{
"type": "string"
},
{
"type": "array",
"items": {
"type": "string"
}
}
]
}
}
},
"required": [
"identifier"
],
"additionalProperties": false
}
},
"createSuggestions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"identifier": {
"type": "string"
},
"title": {
"type": "string"
},
"icon": {
"type": "string"
},
"properties": {
"type": "object",
"additionalProperties": {}
},
"relations": {
"type": "object",
"additionalProperties": {
"anyOf": [
{
"type": "string"
},
{
"type": "array",
"items": {
"type": "string"
}
}
]
}
}
},
"required": [
"identifier"
],
"additionalProperties": false
}
}
},
"required": [
"ok",
"status",
"enrichSuggestions",
"createSuggestions"
],
"additionalProperties": false
}
}
}
},
"404": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"500": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
}
}
}